#!/bin/bash

# GitInitOperation script
#
# $1 is the git tool path
# $2 is the path of our project.
#
# The idea is to init, add a dummy file, and then commit.  This gets
# our repository setup such that we can see HEAD, the master branch
# and do many other normal git commands without worry of an error.

cd "$2"

GITINITRESULT=`$1 init`
if [ $? -ne 0 ] ; then
	echo $GITINITRESULT
	exit $?	
fi

echo "Insert some clever text here.\n" > "README.txt"
GITADDRESULT=`$1 add "README.txt"`
if [ $? -ne 0 ] ; then
	echo $GITADDRESULT
	exit $?
fi

GITCOMMITRESULT=`$1 commit -m "Initial commit."`
if [ $? -ne 0 ] ; then
	echo $GITCOMMITRESULT
	exit $?
fi

exit 0